| KD SOAP 1.9.1

Public Member Functions | List of all members
KDSoapDelayedResponseHandle Class Reference

`#include <KDSoapDelayedResponseHandle.h>`

## Public Member Functions
| KDSoapDelayedResponseHandle ()

## Detailed Description

The delayed-response handle is an opaque data type representing a delayed response. When a server object wants to implement a SOAP method call using an asynchronous operation, it can call KDSoapServerObjectInterface::prepareDelayedResponse(), store the handle, and use the handle later on in order to send the delayed response.

## Constructor & Destructor Documentation

## ◆ KDSoapDelayedResponseHandle()

KDSoapDelayedResponseHandle::KDSoapDelayedResponseHandle | ( |  | ) |

Constructs a null handle.

The documentation for this class was generated from the following files:

- src/KDSoapServer/KDSoapDelayedResponseHandle.h
- src/KDSoapServer/KDSoapDelayedResponseHandle.cpp

Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/